CHRONYD(8)

NAME
chronyd - chrony background daemon

SYNOPSIS
chronyd [OPTIONS] [configuration commands]

DESCRIPTION
chrony is a pair of programs for maintaining the accuracy of computer clocks. chronyd is a background daemon program that can be started at boot time. chronyd is a daemon which runs in background on the system. It obtains measurements (e.g. via the network) of the system's offset relative to other systems, and adjusts the system time accordingly. For isolated systems, the user can periodically enter the correct time by hand (using chronyc). In either case, chronyd determines the rate at which the computer gains or loses time, and compensates for this.

USAGE
chronyd is usually started at boot-time and requires superuser privileges. If chronyd has been installed to its default location /usr/sbin/chronyd, starting it is simply a matter of entering the command: /usr/sbin/chronyd Information messages and warnings will be logged to syslog. If no configuration commands are specified on the command line, chronyd will read the commands from the configuration file (default /etc/chrony.conf).

OPTIONS
A summary of the options supported by chronyd is included below.

-P priority
    This option will select the SCHED_FIFO real-time scheduler at the specified priority (which must be between 0 and 100). This mode is supported only on Linux.

-m  This option will lock chronyd into RAM so that it will never be paged out. This mode is only supported on Linux.

-n  When run in this mode, the program will not detach itself from the terminal.

-d  When run in this mode, the program will not detach itself from the terminal, and all messages will be sent to the terminal instead of to syslog. When chronyd was compiled with debugging support, this option can be used twice to print also debugging messages.

-f conf-file
    This option can be used to specify an alternate location for the configuration file (default /etc/chrony.conf).

-r  This option will reload sample histories for each of the servers being used. These histories are created by using the dump command in chronyc, or by setting the dumponexit directive in the configuration file. This option is useful if you want to stop and restart chronyd briefly for any reason, e.g. to install a new version. However, it only makes sense on systems where the kernel can maintain clock compensation whilst not under chronyd's control. The only version where this happens so far is Linux. On systems where this is not the case, e.g. Solaris and SunOS the option should not be used.

-R  When this option is used, the initstepslew directive and the makestep directive used with a positive limit will be ignored. This option is useful when restarting chronyd and can be used in conjuction with the -r option.

-s  This option will set the system clock from the computer's real-time clock. This is analogous to supplying the -s flag to the /sbin/hwclock program during the Linux boot sequence. Support for real-time clocks is limited at present - the criteria are described in the section on the rtcfile directive in the documentation supplied with the distribution. If chronyd cannot support the real time clock on your computer, this option cannot be used and a warning message will be logged to the syslog. If used in conjunction with the -r flag, chronyd will attempt to preserve the old samples after setting the system clock from the real time clock. This can be used to allow chronyd to perform long term averaging of the gain or loss rate across system reboots, and is useful for dial-up systems that are shut down when not in use. For this to work well, it relies on chronyd having been able to determine accurate statistics for the difference between the real time clock and system clock last time the computer was on.

-u user
    This option sets the name of the user to which will chronyd switch to drop root privileges if compiled with Linux capabilities support (default root).

-q  When run in this mode, chronyd will set the system clock once and exit. It will not detach from the terminal.

-Q  This option is similar to -q, but it will only print the offset and not correct the clock.

-v  This option displays chronyd's version number to the terminal and exits

-4  Resolve hostnames only to IPv4 addresses and create only IPv4 sockets.

-6  Resolve hostnames only to IPv6 addresses and create only IPv6 sockets.

FILES
/etc/chrony.conf

BUGS
To report bugs, please visit http://chrony.tuxfamily.org/

SEE ALSO
chronyd is documented in detail in the documentation supplied with the distribution (chrony.txt and chrony.texi). chrony(1), chronyc(1), chrony.conf(5), hwclock(8), ntpd(8) http://chrony.tuxfamily.org/

AUTHOR
Richard Curnow <rc@rc0.org.uk> This man-page was written by Jan Schaumann <jschauma@netmeister.org> as part of "The Missing Man Pages Project". Please see http://www.netmeister.org/misc/m2p2/index.html for details. The complete chrony documentation is supplied in texinfo format.